import { computed as d, onMounted as Se, ref as u, watch as Ne, openBlock as o, createElementBlock as n, normalizeClass as A, normalizeStyle as H, createBlock as $, createCommentVNode as i, unref as p, createSlots as Le, withCtx as c, renderSlot as v, normalizeProps as S, guardReactiveProps as N, createVNode as re, createElementVNode as _, Fragment as ue, renderList as ne, createTextVNode as ie, toDisplayString as E, nextTick as Oe } from "vue";
import { u as Fe, o as Ie, e as ce, g as Ae, c as ve, t as Ee, a as De, p as D, b as Ve, d as Be, J as de, M as Ge, f as k, X as Me, i as he, x as pe, y as ze, q as We, r as He } from "./index-Cm2_6s9o.js";
import { L as Ue } from "./Legend-DRozxv9L.js";
import { _ as Xe } from "./Title-Coit3NcT.js";
import { _ as Re } from "./Tooltip-BBgfUr4a.js";
import { D as Ye } from "./DataTable-NGi-FgLM.js";
import { u as je, U as qe } from "./usePrinter-Cx8U1e30.js";
import Je from "./vue-ui-skeleton-BUS6A44x.js";
import Ke from "./vue-ui-accordion-CxrNF8BI.js";
import { u as ye } from "./useNestedProp-BYPZJNhi.js";
import { _ as Qe } from "./PackageVersion-CTMY4zeY.js";
import { P as Ze } from "./PenAndPaper-DJ_d10S-.js";
import { _ as et } from "./_plugin-vue_export-helper-CHgC5LLL.js";
const tt = ["id"], lt = {
  key: 1,
  ref: "noTitle",
  class: "vue-data-ui-no-title-space",
  style: "height:36px; width: 100%;background:transparent"
}, at = {
  key: 2,
  style: "width:100%;background:transparent;padding-bottom:24px"
}, ot = ["xmlns", "viewBox"], st = ["id"], rt = ["stdDeviation"], ut = ["d", "stroke", "stroke-width"], nt = ["d", "stroke", "stroke-width"], it = ["filter"], ct = ["d", "stroke", "stroke-width"], vt = ["d", "stroke-width", "onMouseenter", "onClick"], dt = {
  key: 5,
  class: "vue-data-ui-watermark"
}, ht = ["onClick"], pt = { key: 0 }, yt = { key: 1 }, ft = {
  key: 8,
  ref: "source",
  dir: "auto"
}, gt = ["innerHTML"], bt = {
  __name: "vue-ui-galaxy",
  props: {
    config: {
      type: Object,
      default() {
        return {};
      }
    },
    dataset: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  emits: ["selectLegend", "selectDatapoint"],
  setup(fe, { expose: ge, emit: U }) {
    const y = fe, { vue_ui_galaxy: be } = Fe(), L = d(() => !!y.dataset && y.dataset.length);
    Se(() => {
      X();
    });
    function X() {
      Ie(y.dataset) ? ce({
        componentName: "VueUiGalaxy",
        type: "dataset"
      }) : y.dataset.forEach((t, a) => {
        Ae({
          datasetObject: t,
          requiredAttributes: ["name", "values"]
        }).forEach((l) => {
          ce({
            componentName: "VueUiGalaxy",
            type: "datasetSerieAttribute",
            property: l,
            index: a
          });
        });
      });
    }
    const T = u(ve()), O = u(null), me = u(null), V = u(!1), B = u(""), f = u(null), R = u(0), Y = u(0), j = u(0), q = u(0), e = d({
      get: () => J(),
      set: (t) => t
    });
    function J() {
      const t = ye({
        userConfig: y.config,
        defaultConfig: be
      });
      return t.theme ? {
        ...ye({
          userConfig: Ee.vue_ui_galaxy[t.theme] || y.config,
          defaultConfig: t
        }),
        customPalette: De[t.theme] || D
      } : t;
    }
    Ne(() => y.config, (t) => {
      e.value = J(), X(), Y.value += 1, j.value += 1, q.value += 1;
    }, { deep: !0 });
    const { isPrinting: K, isImaging: Q, generatePdf: Z, generateImage: ee } = je({
      elementId: `galaxy_${T.value}`,
      fileName: e.value.style.chart.title.text || "vue-ui-galaxy"
    }), ke = d(() => e.value.userOptions.show && !e.value.style.chart.title.text), Ce = d(() => Ve(e.value.customPalette)), b = u({
      dataLabels: {
        show: e.value.style.chart.layout.labels.dataLabels.show
      },
      showTable: e.value.table.show,
      showTooltip: e.value.style.chart.tooltip.show
    }), G = u({
      height: 180,
      // or 250 if non fibo
      width: 250
    }), h = u([]);
    function M(t) {
      h.value.includes(t.id) ? h.value = h.value.filter((a) => a !== t.id) : h.value.push(t.id), U("selectLegend", P.value.map((a) => ({
        name: a.name,
        color: a.color,
        value: a.value
      })));
    }
    const C = d(() => y.dataset.map((t, a) => ({
      name: t.name,
      color: Be(t.color) || Ce.value[a] || D[a] || D[a % D.length],
      value: t.values ? de(t.values).reduce((l, s) => l + s, 0) : 0,
      absoluteValues: de(t.values),
      id: ve(),
      seriesIndex: a
    })).sort((t, a) => a.value - t.value));
    function we() {
      return C.value.map((t) => ({
        name: t.name,
        color: t.color,
        value: t.value
      }));
    }
    const g = d(() => C.value.filter((t) => !h.value.includes(t.id)).map((t) => t.value).reduce((t, a) => t + a, 0)), $e = u(190), te = d(() => C.value.filter((t) => !h.value.includes(t.id))), P = d(() => {
      const t = [];
      for (let a = 0; a < te.value.length; a += 1) {
        const l = te.value[a];
        let s = l.value / g.value * $e.value;
        a > 0 && t.length && (s += t[a - 1].points), t.push({
          points: s,
          ...l,
          seriesIndex: a,
          proportion: l.value / g.value,
          path: Ge({
            points: s,
            startX: 115 + e.value.style.chart.layout.arcs.offsetX,
            startY: 90 + e.value.style.chart.layout.arcs.offsetY
          })
        });
      }
      return t.filter((a, l) => !h.value.includes(a.id)).toSorted((a, l) => l.points - a.points);
    }), x = u(!1);
    function xe(t) {
      x.value = t, R.value += 1;
    }
    const z = u(null);
    function _e({ datapoint: t, _relativeIndex: a, seriesIndex: l, show: s = !1 }) {
      z.value = {
        datapoint: t,
        seriesIndex: l,
        series: C.value,
        config: e.value
      }, V.value = s, f.value = t.id;
      let r = "";
      const w = e.value.style.chart.tooltip.customFormat;
      pe(w) && ze(() => w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      })) ? B.value = w({
        seriesIndex: l,
        datapoint: t,
        series: C.value,
        config: e.value
      }) : (r += `<div style="width:100%;text-align:center;border-bottom:1px solid ${e.value.style.chart.tooltip.borderColor};padding-bottom:6px;margin-bottom:3px;">${t.name}</div>`, r += `<div style="display:flex;flex-direction:row;gap:6px;align-items:center;"><svg viewBox="0 0 12 12" height="14" width="14"><circle cx="6" cy="6" r="6" stroke="none" fill="${t.color}"/></svg>`, e.value.style.chart.tooltip.showValue && (r += `<b>${he(
        e.value.style.chart.layout.labels.dataLabels.formatter,
        t.value,
        k({
          p: e.value.style.chart.layout.labels.dataLabels.prefix,
          v: t.value,
          s: e.value.style.chart.layout.labels.dataLabels.suffix,
          r: e.value.style.chart.tooltip.roundingValue
        }),
        { datapoint: t, seriesIndex: l }
      )}</b>`), e.value.style.chart.tooltip.showPercentage && (e.value.style.chart.tooltip.showValue ? r += `<span>(${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })})</span></div>` : r += `<b>${k({
        v: t.proportion * 100,
        s: "%",
        r: e.value.style.chart.tooltip.roundingPercentage
      })}</b></div>`), B.value = `<div>${r}</div>`);
    }
    const le = d(() => C.value.map((t, a) => ({
      ...t,
      proportion: (t.value || 0) / y.dataset.map((l) => (l.values || []).reduce((s, r) => s + r, 0)).reduce((l, s) => l + s, 0),
      opacity: h.value.includes(t.id) ? 0.5 : 1,
      shape: t.shape || "circle",
      segregate: () => M(t),
      isSegregated: h.value.includes(t.id)
    }))), Te = d(() => ({
      cy: "galaxy-div-legend",
      backgroundColor: e.value.style.chart.legend.backgroundColor,
      color: e.value.style.chart.legend.color,
      fontSize: e.value.style.chart.legend.fontSize,
      paddingBottom: 12,
      fontWeight: e.value.style.chart.legend.bold ? "bold" : ""
    })), m = d(() => {
      const t = P.value.map((l) => ({
        name: l.name,
        color: l.color
      })), a = P.value.map((l) => l.value);
      return { head: t, body: a };
    });
    function ae() {
      Oe(() => {
        const t = m.value.head.map((s, r) => [[
          s.name
        ], [m.value.body[r]], [isNaN(m.value.body[r] / g.value) ? "-" : m.value.body[r] / g.value * 100]]), a = [[e.value.style.chart.title.text], [e.value.style.chart.title.subtitle.text], [[""], ["val"], ["%"]]].concat(t), l = We(a);
        He({ csvContent: l, title: e.value.style.chart.title.text || "vue-ui-galaxy" });
      });
    }
    const F = d(() => {
      const t = [
        ' <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 16v2a1 1 0 0 1 -1 1h-11l6 -7l-6 -7h11a1 1 0 0 1 1 1v2" /></svg>',
        k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: g.value, s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue }),
        "100%"
      ], a = m.value.head.map((r, w) => {
        const Pe = k({ p: e.value.style.chart.layout.labels.dataLabels.prefix, v: m.value.body[w], s: e.value.style.chart.layout.labels.dataLabels.suffix, r: e.value.table.td.roundingValue });
        return [
          {
            color: r.color,
            name: r.name
          },
          Pe,
          isNaN(m.value.body[w] / g.value) ? "-" : k({
            v: m.value.body[w] / g.value * 100,
            s: "%",
            r: e.value.table.td.roundingPercentage
          })
        ];
      }), l = {
        th: {
          backgroundColor: e.value.table.th.backgroundColor,
          color: e.value.table.th.color,
          outline: e.value.table.th.outline
        },
        td: {
          backgroundColor: e.value.table.td.backgroundColor,
          color: e.value.table.td.color,
          outline: e.value.table.td.outline
        },
        breakpoint: e.value.table.responsiveBreakpoint
      };
      return {
        colNames: [
          e.value.table.columnNames.series,
          e.value.table.columnNames.value,
          e.value.table.columnNames.percentage
        ],
        head: t,
        body: a,
        config: l
      };
    });
    function oe() {
      b.value.showTable = !b.value.showTable;
    }
    function se() {
      b.value.showTooltip = !b.value.showTooltip;
    }
    const I = u(!1);
    function W() {
      I.value = !I.value;
    }
    return ge({
      getData: we,
      generatePdf: Z,
      generateCsv: ae,
      generateImage: ee,
      toggleTable: oe,
      toggleTooltip: se,
      toggleAnnotator: W
    }), (t, a) => (o(), n("div", {
      ref_key: "galaxyChart",
      ref: O,
      class: A(`vue-ui-galaxy ${x.value ? "vue-data-ui-wrapper-fullscreen" : ""} ${e.value.useCssAnimation ? "" : "vue-ui-dna"}`),
      style: H(`font-family:${e.value.style.fontFamily};width:100%; text-align:center;${e.value.style.chart.title.text ? "" : "padding-top:36px"};background:${e.value.style.chart.backgroundColor}`),
      id: `galaxy_${T.value}`
    }, [
      e.value.userOptions.buttons.annotator ? (o(), $(Ze, {
        key: 0,
        parent: O.value,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        active: I.value,
        onClose: W
      }, null, 8, ["parent", "backgroundColor", "color", "active"])) : i("", !0),
      ke.value ? (o(), n("div", lt, null, 512)) : i("", !0),
      e.value.style.chart.title.text ? (o(), n("div", at, [
        (o(), $(Xe, {
          key: `title_${Y.value}`,
          config: {
            title: {
              cy: "galaxy-div-title",
              ...e.value.style.chart.title
            },
            subtitle: {
              cy: "galaxy-div-subtitle",
              ...e.value.style.chart.title.subtitle
            }
          }
        }, null, 8, ["config"]))
      ])) : i("", !0),
      e.value.userOptions.show && L.value ? (o(), $(qe, {
        ref_key: "details",
        ref: me,
        key: `user_option_${R.value}`,
        backgroundColor: e.value.style.chart.backgroundColor,
        color: e.value.style.chart.color,
        isPrinting: p(K),
        isImaging: p(Q),
        uid: T.value,
        hasTooltip: e.value.userOptions.buttons.tooltip && e.value.style.chart.tooltip.show,
        hasPdf: e.value.userOptions.buttons.pdf,
        hasXls: e.value.userOptions.buttons.csv,
        hasImg: e.value.userOptions.buttons.img,
        hasTable: e.value.userOptions.buttons.table,
        hasFullscreen: e.value.userOptions.buttons.fullscreen,
        isTooltip: b.value.showTooltip,
        isFullscreen: x.value,
        titles: { ...e.value.userOptions.buttonTitles },
        chartElement: O.value,
        position: e.value.userOptions.position,
        hasAnnotator: e.value.userOptions.buttons.annotator,
        isAnnotation: I.value,
        onToggleFullscreen: xe,
        onGeneratePdf: p(Z),
        onGenerateCsv: ae,
        onGenerateImage: p(ee),
        onToggleTable: oe,
        onToggleTooltip: se,
        onToggleAnnotator: W
      }, Le({ _: 2 }, [
        t.$slots.optionTooltip ? {
          name: "optionTooltip",
          fn: c(() => [
            v(t.$slots, "optionTooltip", {}, void 0, !0)
          ]),
          key: "0"
        } : void 0,
        t.$slots.optionPdf ? {
          name: "optionPdf",
          fn: c(() => [
            v(t.$slots, "optionPdf", {}, void 0, !0)
          ]),
          key: "1"
        } : void 0,
        t.$slots.optionCsv ? {
          name: "optionCsv",
          fn: c(() => [
            v(t.$slots, "optionCsv", {}, void 0, !0)
          ]),
          key: "2"
        } : void 0,
        t.$slots.optionImg ? {
          name: "optionImg",
          fn: c(() => [
            v(t.$slots, "optionImg", {}, void 0, !0)
          ]),
          key: "3"
        } : void 0,
        t.$slots.optionTable ? {
          name: "optionTable",
          fn: c(() => [
            v(t.$slots, "optionTable", {}, void 0, !0)
          ]),
          key: "4"
        } : void 0,
        t.$slots.optionFullscreen ? {
          name: "optionFullscreen",
          fn: c(({ toggleFullscreen: l, isFullscreen: s }) => [
            v(t.$slots, "optionFullscreen", S(N({ toggleFullscreen: l, isFullscreen: s })), void 0, !0)
          ]),
          key: "5"
        } : void 0,
        t.$slots.optionAnnotator ? {
          name: "optionAnnotator",
          fn: c(({ toggleAnnotator: l, isAnnotator: s }) => [
            v(t.$slots, "optionAnnotator", S(N({ toggleAnnotator: l, isAnnotator: s })), void 0, !0)
          ]),
          key: "6"
        } : void 0
      ]), 1032, ["backgroundColor", "color", "isPrinting", "isImaging", "uid", "hasTooltip", "hasPdf", "hasXls", "hasImg", "hasTable", "hasFullscreen", "isTooltip", "isFullscreen", "titles", "chartElement", "position", "hasAnnotator", "isAnnotation", "onGeneratePdf", "onGenerateImage"])) : i("", !0),
      L.value ? (o(), n("svg", {
        key: 4,
        xmlns: p(Me),
        class: A({ "vue-data-ui-fullscreen--on": x.value, "vue-data-ui-fulscreen--off": !x.value }),
        viewBox: `0 0 ${G.value.width} ${G.value.height}`,
        style: H(`max-width:100%; overflow: visible; background:transparent;color:${e.value.style.chart.color}`)
      }, [
        re(Qe),
        _("defs", null, [
          _("filter", {
            id: `blur_${T.value}`,
            x: "-50%",
            y: "-50%",
            width: "200%",
            height: "200%"
          }, [
            _("feGaussianBlur", {
              in: "SourceGraphic",
              stdDeviation: 100 / e.value.style.chart.layout.arcs.gradient.intensity
            }, null, 8, rt)
          ], 8, st)
        ]),
        (o(!0), n(ue, null, ne(P.value, (l) => (o(), n("g", null, [
          l.value ? (o(), n("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: e.value.style.chart.backgroundColor,
            "stroke-width": (e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth) * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round"
          }, null, 8, ut)) : i("", !0),
          l.value ? (o(), n("path", {
            key: 1,
            d: l.path,
            fill: "none",
            stroke: l.color,
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
            "stroke-linecap": "round",
            class: A(`${f.value && f.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
          }, null, 10, nt)) : i("", !0),
          l.value && e.value.style.chart.layout.arcs.gradient.show ? (o(), n("g", {
            key: 2,
            filter: `url(#blur_${T.value})`
          }, [
            _("path", {
              d: l.path,
              fill: "none",
              stroke: e.value.style.chart.layout.arcs.gradient.color,
              "stroke-width": e.value.style.chart.layout.arcs.strokeWidth / 2 * (f.value === l.id && e.value.style.chart.layout.arcs.hoverEffect.show ? e.value.style.chart.layout.arcs.hoverEffect.multiplicator : 1),
              "stroke-linecap": "round",
              class: A(`vue-ui-galaxy-gradient ${f.value && f.value !== l.id && e.value.useBlurOnHover ? "vue-ui-galaxy-blur" : ""}`)
            }, null, 10, ct)
          ], 8, it)) : i("", !0)
        ]))), 256)),
        (o(!0), n(ue, null, ne(P.value, (l, s) => (o(), n("g", null, [
          l.value ? (o(), n("path", {
            key: 0,
            d: l.path,
            fill: "none",
            stroke: "transparent",
            "stroke-width": e.value.style.chart.layout.arcs.strokeWidth + e.value.style.chart.layout.arcs.borderWidth,
            "stroke-linecap": "round",
            onMouseenter: (r) => _e({
              datapoint: l,
              relativeIndex: s,
              seriesIndex: l.seriesIndex,
              show: !0
            }),
            onMouseleave: a[0] || (a[0] = (r) => {
              V.value = !1, f.value = null;
            }),
            onClick: (r) => U("selectDatapoint", l)
          }, null, 40, vt)) : i("", !0)
        ]))), 256)),
        v(t.$slots, "svg", { svg: G.value }, void 0, !0)
      ], 14, ot)) : i("", !0),
      t.$slots.watermark ? (o(), n("div", dt, [
        v(t.$slots, "watermark", S(N({ isPrinting: p(K) || p(Q) })), void 0, !0)
      ])) : i("", !0),
      L.value ? i("", !0) : (o(), $(Je, {
        key: 6,
        config: {
          type: "galaxy",
          style: {
            backgroundColor: e.value.style.chart.backgroundColor,
            galaxy: {
              color: "#CCCCCC"
            }
          }
        }
      }, null, 8, ["config"])),
      e.value.style.chart.legend.show ? (o(), $(Ue, {
        key: `legend_${q.value}`,
        legendSet: le.value,
        config: Te.value,
        onClickMarker: a[1] || (a[1] = ({ legend: l }) => M(l))
      }, {
        item: c(({ legend: l, index: s }) => [
          _("div", {
            onClick: (r) => M(l),
            style: H(`opacity:${h.value.includes(l.id) ? 0.5 : 1}`)
          }, [
            ie(E(l.name) + ": " + E(p(he)(
              e.value.style.chart.layout.labels.dataLabels.formatter,
              l.value,
              p(k)({
                p: e.value.style.chart.layout.labels.dataLabels.prefix,
                v: l.value,
                s: e.value.style.chart.layout.labels.dataLabels.suffix,
                r: e.value.style.chart.legend.roundingValue
              }),
              { datapoint: l, seriesIndex: s }
            )) + " ", 1),
            h.value.includes(l.id) ? (o(), n("span", yt, " ( - % ) ")) : (o(), n("span", pt, " (" + E(isNaN(l.value / g.value) ? "-" : p(k)({
              v: l.value / g.value * 100,
              s: "%",
              r: e.value.style.chart.legend.roundingPercentage
            })) + ") ", 1))
          ], 12, ht)
        ]),
        _: 1
      }, 8, ["legendSet", "config"])) : i("", !0),
      v(t.$slots, "legend", { legend: le.value }, void 0, !0),
      t.$slots.source ? (o(), n("div", ft, [
        v(t.$slots, "source", {}, void 0, !0)
      ], 512)) : i("", !0),
      re(Re, {
        show: b.value.showTooltip && V.value,
        backgroundColor: e.value.style.chart.tooltip.backgroundColor,
        color: e.value.style.chart.tooltip.color,
        borderRadius: e.value.style.chart.tooltip.borderRadius,
        borderColor: e.value.style.chart.tooltip.borderColor,
        borderWidth: e.value.style.chart.tooltip.borderWidth,
        fontSize: e.value.style.chart.tooltip.fontSize,
        backgroundOpacity: e.value.style.chart.tooltip.backgroundOpacity,
        position: e.value.style.chart.tooltip.position,
        offsetY: e.value.style.chart.tooltip.offsetY,
        parent: O.value,
        content: B.value,
        isFullscreen: x.value,
        isCustom: p(pe)(e.value.style.chart.tooltip.customFormat)
      }, {
        "tooltip-before": c(() => [
          v(t.$slots, "tooltip-before", S(N({ ...z.value })), void 0, !0)
        ]),
        "tooltip-after": c(() => [
          v(t.$slots, "tooltip-after", S(N({ ...z.value })), void 0, !0)
        ]),
        _: 3
      }, 8, ["show", "backgroundColor", "color", "borderRadius", "borderColor", "borderWidth", "fontSize", "backgroundOpacity", "position", "offsetY", "parent", "content", "isFullscreen", "isCustom"]),
      L.value ? (o(), $(Ke, {
        key: 9,
        hideDetails: "",
        config: {
          open: b.value.showTable,
          maxHeight: 1e4,
          body: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          },
          head: {
            backgroundColor: e.value.style.chart.backgroundColor,
            color: e.value.style.chart.color
          }
        }
      }, {
        content: c(() => [
          (o(), $(Ye, {
            key: `table_${j.value}`,
            colNames: F.value.colNames,
            head: F.value.head,
            body: F.value.body,
            config: F.value.config,
            title: `${e.value.style.chart.title.text}${e.value.style.chart.title.subtitle.text ? ` : ${e.value.style.chart.title.subtitle.text}` : ""}`,
            onClose: a[2] || (a[2] = (l) => b.value.showTable = !1)
          }, {
            th: c(({ th: l }) => [
              _("div", {
                innerHTML: l,
                style: { display: "flex", "align-items": "center" }
              }, null, 8, gt)
            ]),
            td: c(({ td: l }) => [
              ie(E(l.name || l), 1)
            ]),
            _: 1
          }, 8, ["colNames", "head", "body", "config", "title"]))
        ]),
        _: 1
      }, 8, ["config"])) : i("", !0)
    ], 14, tt));
  }
}, Ft = /* @__PURE__ */ et(bt, [["__scopeId", "data-v-9c1d1614"]]);
export {
  Ft as default
};
